Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceLogs, drains and alerts

Call log facets

GET
/v1/logs/facets

Counts per value (outcome, status, provider, capability, endpoint, key, client…) and latency/cost ranges for the same filters as logs_list.

Authorization

bearer
AuthorizationBearer <token>

In: header

Query Parameters

from?string

Start of the window (default: 24 hours ago)

Formatdate-time
to?string

End of the window (default: now)

Formatdate-time
outcome?array<>|
http_status?array<>|
status_min?integer

Lowest HTTP status (inclusive)

Range100 <= value <= 599
status_max?integer

Highest HTTP status (inclusive)

Range100 <= value <= 599
exclude?array<>|

column:value pairs to leave out

provider?array<>|
capability?array<>|
endpoint_id?array<>|
key_id?array<>|
agent_id?array<>|
workspace_id?array<>|
app_id?array<>|
client_name?array<>|
client_kind?array<>|
mode?array<>|
client_mode?array<>|
supply_mode?array<>|
credential?array<>|
error_code?array<>|
country?array<>|
cache?array<>|
billing_verdict?array<>|

Vendor billing verdicts; mismatch = charged_for_miss, double_charged_retry or price_mismatch

latency_min?|
Range0 <= value
latency_max?|
Range0 <= value
cost_min?|
Range0 <= value
cost_max?|
Range0 <= value
q?string

Search call, parent or run id, endpoint or error code (substring)

Match^[A-Za-z0-9_.-]{1,128}$
parent_id?string
Match^[A-Za-z0-9_.:/@-]{1,200}$

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/logs/facets"
{  "total": 0,  "facets": {    "property1": {      "rows": [        {          "value": "string",          "total": 0        }      ],      "total": 0,      "min": 0,      "max": 0    },    "property2": {      "rows": [        {          "value": "string",          "total": 0        }      ],      "total": 0,      "min": 0,      "max": 0    }  }}